
From: Domen Puncer <domen@coderock.org>

As per http://www.nist.gov/dads/HTML/shellsort.html, this should be
referred to as a Shell sort.  Shell-Metzner is a misnomer.

Signed-off-by: Daniel Dickman <didickman@yahoo.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sys.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sys.c~correctly-name-the-shell-sort kernel/sys.c
--- 25/kernel/sys.c~correctly-name-the-shell-sort	2005-04-29 18:55:47.514799264 -0700
+++ 25-akpm/kernel/sys.c	2005-04-29 18:55:47.519798504 -0700
@@ -1218,7 +1218,7 @@ static int groups_from_user(struct group
 	return 0;
 }
 
-/* a simple shell-metzner sort */
+/* a simple Shell sort */
 static void groups_sort(struct group_info *group_info)
 {
 	int base, max, stride;
_
